Jamit Software Forum
Welcome, Guest. Please login or register.
April 27, 2018, 08:46:09 am

Login with username, password and session length
Search:     Advanced search
May 5th, 2010 - Jamit Software Launches the Market!
3,080 Posts in 791 Topics by 1,414,899 Members
Latest Member: trout7bike
* Home Help Search Login Register
+  Jamit Software Forum
|-+  Jamit Job Board Customers
| |-+  Plugins
| | |-+  TRAFFIC COP (Bad guys hate the cop!)
« previous next »
Pages: [1] 2 3 ... 5 Print
Author Topic: TRAFFIC COP (Bad guys hate the cop!)  (Read 24695 times)
Peter
Administrator
Hero Member
*****
Posts: 248



« on: May 20, 2010, 11:16:07 pm »

I am pleased to announce that TRAFFIC COP 3.0 is out!

This plugin was formerly known as 'Traffic Filter'.

TRAFFIC COP 3.0 is a major release, featuring new functions, enhancements (functional and GUI), as well as bug fixes. Please see the attached screenshots.

TRAFFIC COP is now available at http://market.jamit.com/ .

Please give me your comments. If you need any assistance, you may post your inquiries here.


ABOUT:

Blocking undesirable (malicious and non-malicious) traffic will improve security and server performance!

"WOULDN'T YOU WANT A COP TO WATCH OVER YOUR SITE?"

Traffic Cop (formerly known as 'Traffic Filter') analyzes every single HTTP request and will deny access according to user-defined criteria (rules). Criteria for denial can be  either country, user-agent, IP address (single IP, IP range or CIDR), host name and usage of proxy. Denial rules can be negated by whitelisted rules.
 
Traffic Cop gives you control over your site. It can be used to improve  security and performance; prevent theft by data harvesting robots; block robots which  scan your site for backdoors and vulnerabilities; block undesired visitors; limit access to your site to one (or more) country; divert visitors according to predefined criteria to other sites etc.

Blocking undesirable traffic is very useful for any site and especially for sites with heavy traffic load. Using Traffic Cop will ease the load on your server and make it perform faster for desirable visitors.

... read more at http://market.jamit.com/

2010-05-30 .... v 3.45, verified to work with JJB 3.6.0  Wink
2010-09-11 .... v 4.00 .... MAJOR RELEASE, many improvements, functional additions and bug fixes! It is obvious that the earlier versions (especially Traffic Filter) had some major problems. I hope you are not using Traffic Filter anymore. Traffic Cop is much better.
2010-11-30 .... v 4.32
« Last Edit: November 30, 2010, 01:53:19 am by Peter » Logged

SECURE your site BEFORE you wish you had! Use plugins by COLOSSAL MIND!
whitecollarjobsite
Jammers
Full Member
*
Posts: 23


« Reply #1 on: May 27, 2010, 11:48:44 pm »

Peter what is the deal with Traffic Cop not being able to install the database it needs to run?? I have tried to change permissions all the way back to the file to install the database and it will not install. This is more than a little frustrating for a plugin that is paid for.
Logged
Peter
Administrator
Hero Member
*****
Posts: 248



« Reply #2 on: May 28, 2010, 12:13:44 am »

Peter what is the deal with Traffic Cop not being able to install the database it needs to run?? I have tried to change permissions all the way back to the file to install the database and it will not install. This is more than a little frustrating for a plugin that is paid for.

Please give me the version of TRAFFIC COP you are trying to install.

Also, I need the exact wording of the error message you are seeing on your screen.

PLEASE make sure that you are installing the LATEST version, which is 3.43 (released just an hour ago). Follow the instructions in the README.txt as well as the system prompts during installation (like what to do and where to click).

Let me know how it goes.

Thanks,
Peter

P.S.
Changing permissions is not required when installing Traffic Cop. You should change them back to what they were.
« Last Edit: May 28, 2010, 05:37:45 am by Peter » Logged

SECURE your site BEFORE you wish you had! Use plugins by COLOSSAL MIND!
Amjad
Global Moderator
Hero Member
*****
Posts: 109


« Reply #3 on: May 28, 2010, 01:07:31 pm »

Peter,is the latest V. of Traffic COP compatible with 3.6 JJB?
Logged
whitecollarjobsite
Jammers
Full Member
*
Posts: 23


« Reply #4 on: May 29, 2010, 12:45:34 am »


PLEASE make sure that you are installing the LATEST version, which is 3.43 (released just an hour ago). Follow the instructions in the README.txt as well as the system prompts during installation (like what to do and where to click).

So just so I understand this, you want me to go and spend another 2 credits to get an update for software that didn't install because it was not up to date to work with the new job board update??? I have nothing against making a buck but when it isn't working and you are updating this over and over again, why shuold your consumer have to keep paying for your errors? I just downloaded version 3.3 and paid 2 credits for it 2 days ago! Errors I am getting are 403 errors even when everything is set to wide open to let the software update with no barriers right down to the php file to install the database. I did read the README and even printed it out whille I was installing to make sure I was doing this install by the exact directions. There was no problem with the software install, the error is when adding the IP checking database from the config GUI in the plugins screen.

Here is my email address, [email protected] perhaps in the interest of good business practice you might consider doing the right thing and send the updated version that does work with the new updated job board software. Seeing that the version I used credits for to acquire was only posted on 5/26/10 the same day I downloaded the software. If you are updating the software you should be sending the updates to the existing customers, especially if they just purchased the software or at least offering a spot to download without having to pay again.
« Last Edit: May 29, 2010, 12:49:05 am by whitecollarjobsite » Logged
Peter
Administrator
Hero Member
*****
Posts: 248



« Reply #5 on: May 29, 2010, 02:01:55 am »

....So just so I understand this, you want me to go and spend another 2 credits to get an update for software that didn't install because it was not up to date to work with the new job board update??? I have nothing against making a buck but when it isn't working and you are updating this over and over again, why shuold your consumer have to keep paying for your errors? I just downloaded version 3.3 and paid 2 credits for it 2 days ago!.... If you are updating the software you should be sending the updates to the existing customers, especially if they just purchased the software or at least offering a spot to download without having to pay again.

Hi Linda,

As long as you purchased the plugin, you can come back to the Jamit Market site and download the newest version for free. No need to pay. I hope that this is fair enough.

Rest assured that I want to help you resolve any problems you are experiencing.

This is what I understand is happening in your system:
  • You install the Traffic Cop on your server according to instructions.
  • When you were in the Job Board Admin control panel, you clicked on the 'Configure' button of the Traffic Cop. You saw a red colored prompt that says "IP2nation database is not installed.". So you clicked the link "Install IP2nation database". A window pops up with a progress bar and in a few seconds the database installation is completed. You closed the pop-up window. Then you refreshed the page by clicking on the link "Refresh Page".

The above is the installation procedure. I wrote it here because you mentioned earlier that you "were unable to install the database".

However, reading your most recent message, I see that you may be having some kind of other problem. It is not clear to me what the problem is. Any information regarding the problem (if you could provide) would be very helpful. For example, what version of Job Board are you using, etc.?

  • What kind of control panel for your hosting are you using? cPanel, Plesk, etc.?
  • Did you create your custom .htaccess file? At any rate, I would like to see the content of this file.
  • Are you able to access the Admin control panel of Job Board?
  • Upon clicking on the 'Configure' button of the TRAFFIC COP, can you see the 'Home" page of TRAFFIC COP? (Home page is the main control panel of Traffic Cop.) Do you see any warning messages?
  • Can you access the 'Diagnostics' page of TRAFFIC COP? What error messages do you see, if any?
  • Any other information will be helpful.

Thank you very much and sorry about the trouble.

Peter
« Last Edit: May 29, 2010, 05:30:47 am by Peter » Logged

SECURE your site BEFORE you wish you had! Use plugins by COLOSSAL MIND!
Peter
Administrator
Hero Member
*****
Posts: 248



« Reply #6 on: May 29, 2010, 06:09:45 am »

It seems that there is misunderstanding of how the Market (plugin sales and updates) works.

Referring to the official Jamit rules, once a user purchases a plugin, he can come back anytime and download an updated version of the same plugin for FREE.

It is important that you always download and install (and periodically update to) the most recent versions of plugins because they may contain bug fixes and other improvements.
« Last Edit: May 30, 2010, 11:34:16 pm by Peter » Logged

SECURE your site BEFORE you wish you had! Use plugins by COLOSSAL MIND!
Peter
Administrator
Hero Member
*****
Posts: 248



« Reply #7 on: May 30, 2010, 09:36:02 pm »

Peter,is the latest V. of Traffic COP compatible with 3.6 JJB?

Linda, Amjad and all that might have experienced some problems:

My apologies!!!  Embarrassed

I have finally installed the latest version of JJB 3.6 and tried installing TRAFFIC COP. Yes, I have confirmed the problem that Linda was having and I have fixed it!

TRAFFIC COP v 3.45 now installs and runs on JJB 3.6 without hiccups.

Therefore, everyone concerned should always download and install the latest version of TRAFFIC COP (now version 3.45) from the Market. Please update!

Keep in mind that I strive for continuous improvement and will be posting updated versions on regular basis. I recommend that you again update to newest version as soon as they become available. (Lately it has been every 1-2days.)

Thanks for using TRAFFIC COP!
Peter
« Last Edit: May 30, 2010, 11:35:10 pm by Peter » Logged

SECURE your site BEFORE you wish you had! Use plugins by COLOSSAL MIND!
screenmates
Jammers
Sr. Member
*
Posts: 81


« Reply #8 on: May 31, 2010, 05:02:36 am »

Hi Peter,

How about notifying others after you upload the updated version each time?
Logged
Peter
Administrator
Hero Member
*****
Posts: 248



« Reply #9 on: May 31, 2010, 07:26:14 am »

...How about notifying others after you upload the updated version each time?

That's exactly what I have done this time. However, I don't have everyone's contact on my list, nor I want to use my energy on sending emails.

The Market may have that capability to notify users automatically. You need to ask Adam to enable it.
Logged

SECURE your site BEFORE you wish you had! Use plugins by COLOSSAL MIND!
screenmates
Jammers
Sr. Member
*
Posts: 81


« Reply #10 on: May 31, 2010, 10:41:47 pm »

Yes, ideally the market should offer the feature of sending out notifications to all those who already bought the plugin. For now, you could just maintain one read-only thread (others cannot post to it) and keep posting to it whenever you upload an update.
Logged
screenmates
Jammers
Sr. Member
*
Posts: 81


« Reply #11 on: May 31, 2010, 10:45:10 pm »

There is a poll created as for this on the top of this thread:

http://forum.jamit.com/index.php?topic=474.0

Please vote...
Logged
Peter
Administrator
Hero Member
*****
Posts: 248



« Reply #12 on: June 01, 2010, 06:11:06 am »

....For now, you could just maintain one read-only thread (others cannot post to it) and keep posting to it whenever you upload an update.

One step ahead of you! I have already been doing just that. Take a close look at this message (bottom part): http://forum.jamit.com/index.php?topic=464.msg1242#msg1242  Grin
Logged

SECURE your site BEFORE you wish you had! Use plugins by COLOSSAL MIND!
whitecollarjobsite
Jammers
Full Member
*
Posts: 23


« Reply #13 on: June 01, 2010, 11:47:51 pm »

Latest version 3.47 installing and working wonderfully!  Grin Stopped my idiot hacker cold an hour after installing it (I checked the report to see if there was any activity around this jerks usual time)

thank you thank you thank you thank you Peter!!!!
Logged
Peter
Administrator
Hero Member
*****
Posts: 248



« Reply #14 on: June 02, 2010, 12:52:46 am »

Latest version 3.47 installing and working wonderfully!  Grin Stopped my idiot hacker cold an hour after installing it (I checked the report to see if there was any activity around this jerks usual time)

thank you thank you thank you thank you Peter!!!!

I am very happy to hear that! And thanks for the feedback!
Logged

SECURE your site BEFORE you wish you had! Use plugins by COLOSSAL MIND!
Pages: [1] 2 3 ... 5 Print 
« previous next »
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!
Page created in 0.145 seconds with 17 queries.